package com.mapper;

import com.domain.User;
import com.domain.pageQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface UserMapper {
    public List<User> findAll();
    public void add(User user);
    public void update(User user);
    public void delete(int userid);
    public User findById(int userid);
    public List<User> findByUsernameLike(String name);
    public List<User> findPage(int startIndex,int pageSize);
    public List<User> findPage1(@Param("startIndex") int startIndex,@Param("pageSize") int pageSize);
    public List<User> findPage2(pageQuery page);
    public List<User> findPage3(Map<String,Object> params);
    public int findCount();
    public void add2(User user);
}
